* {
  margin: 0;
  color: #fff;
}

body {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 100vh;
}
button,
input {
  outline: none;
  cursor: pointer;
  font-family: "Montserrat Regular", serif;
}
button {
  font-family: "Montserrat Bold", serif;
}
input::placeholder{
  color: #fff;
  font-family: "Montserrat Regular", serif;
}

.disabled {
  display: none;
}

header {
  display: flex;
  height: 84px;
  width: auto;
  justify-content: space-around;
  align-items: center;
}

.header_togglers {
  display: flex;
  width: max-content;
}

.degree {
  padding: 15px;
  border: 0;
  background: rgba(174, 181, 185, 0.5);
}

.degree:hover {
  background: rgba(76, 82, 85, 0.4);
  transition: 0.5s ease;
}

button.choosen {
  background: rgba(76, 82, 85, 0.4);
}

#Fahrenheit{
  border-radius: 8px 0 0 8px;
}
#Celsius{
  border-radius: 0 8px 8px 0;
}

#search-field,
#search-button{
  font-size: 14px;
  padding: 12px;
  border: 1px solid rgba(228, 227, 227, 0.2);
}
#search-field {
  border-radius: 4px 0 0 4px;
  background: rgba(76, 82, 85, 0.1);
  box-sizing: border-box;
  color: #fff;
}
#search-button {
  border-radius: 0 4px 4px 0;
  background: rgba(174, 181, 185, 0.5);
  text-transform: uppercase;
  color: #fff;
}

.listen-forecast-button{
	font-size: 32px;
  border-radius: 4px;
  margin-left: 10px;
  border: 0;
  background: rgba(174, 181, 185, 0.5);
}
.listen-forecast-button:hover{
	background: rgba(174, 181, 185, 0.3);
  transition: 0.5s ease;
}

.voice-search{
  font-size: 20px;
  padding-bottom: 3px;
  border-radius: 4px;
  background: rgba(174, 181, 185, 0.5);
  border: 1px solid rgba(228, 227, 227, 0.2);
  line-height: 37px;
}
.voice-search:hover{
	background: rgba(174, 181, 185, 0.3);
	transition: 0.5s ease;
}
#new_image {
  width: 45px;
  height: 45px;
  font-size: 30px;
  border: 0;
  border-radius: 8px;
  background: rgba(174, 181, 185, 0.5);
}
#new_image:hover,
#search-button:hover {
  background: rgba(76, 82, 85, 0.4);
}

@media (max-width: 550px) {
  header {
    display: block;
    height: auto;
    text-align: center;
  }
  .header_togglers {
    margin: 20px auto;
  }
}

nav {
  display: block;
  position: absolute;
  margin-top: 6px;
  opacity: 0;
  visibility: hidden;
  background: rgba(76,82,85,.7);
  border-radius: 4px;
  transition: 0.2s ease-out;
  box-shadow: 0 16px 32px rgba(0, 0, 0, 0.25);
  transform: translateY(-50px) scale(0.5);
  transition: 0.2s;
}
nav a:hover {
  background: #414141;
  transition: 0.2s ease;
}

.button-languages {
  margin-right: 10px;
  margin-left: 10px;
}

#check {
  display: none;
}
#check:checked ~ nav {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
  transform: translateY(0) scale(1);
  transition: 0.2s;
}
#check:checked ~ label {
  transform: scale(1);
}

label[for=check] {
  background: rgba(174, 181, 185, 0.5);
  display: block;
  padding: 12px;
  color: #fff;
  text-decoration: none;
  font-size: 1.1em;
  border-radius: 8px;
  font-family: "Montserrat Bold" , serif;
  transition: 0.2s ease;
}
label:hover {
  background: rgba(174, 181, 185, 0.8);
}

ul {
  list-style: none;
  text-align: center;
  height: 80px;
  padding: 0;
  width: 58px;
  color: #fff;
}
li {
  height: 33%;
  font-family: "Montserrat Regular", serif;
  text-transform: uppercase;
  font-size: 1.2em;
  line-height: 130%;
}

main {
  margin-top: 50px;
  display: flex;
  justify-content: space-around;
}

.main_section {
  width: auto;
}

.location {
  max-width: initial;
  overflow-x: hidden;
  font-size: 44px;
  font-family: "Montserrat Bold", serif;
}
#time{
  font-size: 24px;
  font-family: "Montserrat Regular", serif;
}
#main_geolacation{
  width: 300px;
  height: 500px;
  text-align: right;
  margin-top: 100px;
}
#map {
  width: 300px;
  height: 300px;
  border-radius: 10px;
}
.coordinate {
  margin-top: 8px;
  font-size: 20px;
  font-family: "Montserrat Regular", serif;
}
.coordinates {
  margin-top: 20px;
}
.section_forecast {
  position: relative;
}
.section_forecast > img {
  position: absolute;
  width: 30%;
  right: -10px;
  top: -15px;
}

.section_forecast_temperature{
  font-size: 19rem;
  font-family: "Montserrat Bold", serif;
}

.section_forecast_temperature > span {
  font-size: 100px;
  position: absolute;
  top: 50px;
  z-index: 5;
}

.section_forecast_description {
  width: auto;
  display: inline-block;
  margin-left: 15px;
  height: auto;
  text-align: left;
}

.section_forecast_for-days {
  display: flex;
  justify-content: space-around;
}

.section_forecast_for-day {
  width: 194px;
}
.day-of-week {
  display: block;
  font-size: 22px;
  font-family: "Montserrat Bold", serif;
}
.day-temperature{
  font-size: 80px;
  font-family: "Montserrat Regular", serif;
}
.section_forecast-day > img {
  margin-bottom: 13px;
}


@media (min-width: 851px) {
  #main_forecast {
    max-width: 55%;
  }
}

@media (max-width: 850px) {
  body {
    height: auto;
  }
  main {
    display: block;
    width: 100%;
    text-align: center;
  }
  .section_forecast > img {
    width: 164px;
    right: 62px;
    top: -13px;
  }
  .section_forecast_description {
    margin-left: 100px;
  }
  #main_geolacation {
    margin-top: 55px;
    width: auto;
    text-align: center;
  }
  #map {
    width: 90%;
    margin: 0 auto;
  }
}

@media (max-width: 675px) {
  .section_forecast_temperature {
    font-size: 200px;
  }
  .section_forecast > img {
    position: static;
    margin-bottom: 20px;
    margin-right: -90px;
    width: 90px;
  }
  .section_forecast_temperature > span {
    top: 25px;
  }
  .day-temperature {
    font-size: 60px;
  }
  .section_forecast-day > img {
    margin-bottom: 0;
  }
}

@media (max-width: 540px) {
  .location {
    font-size: 37px;
  }
  .section_forecast_temperature {
    font-size: 150px;
  }
  .section_forecast_description {
    text-align: center;
    display: block;
    margin: 0;
  }
  .section_forecast > img {
    margin-right: -20px;
    margin-bottom: -15px;
  }
  .day-temperature {
    font-size: 40px;
  }
  .section_forecast-day > img {
    width: 40px;
  }
  .section_forecast_for-days {
    margin-top: 15px;
  }
}

@font-face {
  font-family: "Montserrat Black";
  src:  url(./fonts/Montserrat-Black.ttf) format('truetype');
}
@font-face {
  font-family: "Montserrat Bold";
  src: url(./fonts/Montserrat-Bold.ttf) format('truetype');
}
@font-face {
  font-family: "Montserrat Regular";
  src: url(./fonts/Montserrat-Regular.ttf) format('truetype');
}



